org.jboss.shrinkwrap.descriptor.api.javaee7

## Interface AdministeredObjectType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface AdministeredObjectType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `administered-objectType` xsd type

- - ### Property Summary

    All Methods Instance Methods Abstract Methods
    Type | Property and Description
    --- | ---
    `PropertyType<AdministeredObjectType<T>>` | `create` Creates a new `property` element
    `AdministeredObjectType<T>` | `removeAll` Removes all `property` elements

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AdministeredObjectType<T>` | `className(java.lang.String className)` Sets the `class-name` element
    `PropertyType<AdministeredObjectType<T>>` | `createProperty()` Creates a new `property` element
    `AdministeredObjectType<T>` | `description(java.lang.String description)` Sets the `description` element
    `java.util.List<PropertyType<AdministeredObjectType<T>>>` | `getAllProperty()` Returns all `property` elements
    `java.lang.String` | `getClassName()` Returns the `class-name` element
    `java.lang.String` | `getDescription()` Returns the `description` element
    `java.lang.String` | `getId()` Returns the `id` attribute
    `java.lang.String` | `getInterfaceName()` Returns the `interface-name` element
    `java.lang.String` | `getName()` Returns the `name` element
    `PropertyType<AdministeredObjectType<T>>` | `getOrCreateProperty()` If not already created, a new `property` element will be created and returned.
    `java.lang.String` | `getResourceAdapter()` Returns the `resource-adapter` element
    `AdministeredObjectType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `AdministeredObjectType<T>` | `interfaceName(java.lang.String interfaceName)` Sets the `interface-name` element
    `AdministeredObjectType<T>` | `name(java.lang.String name)` Sets the `name` element
    `AdministeredObjectType<T>` | `removeAllProperty()` Removes all `property` elements
    `AdministeredObjectType<T>` | `removeClassName()` Removes the `class-name` element
    `AdministeredObjectType<T>` | `removeDescription()` Removes the `description` element
    `AdministeredObjectType<T>` | `removeId()` Removes the `id` attribute
    `AdministeredObjectType<T>` | `removeInterfaceName()` Removes the `interface-name` element
    `AdministeredObjectType<T>` | `removeName()` Removes the `name` element
    `AdministeredObjectType<T>` | `removeResourceAdapter()` Removes the `resource-adapter` element
    `AdministeredObjectType<T>` | `resourceAdapter(java.lang.String resourceAdapter)` Sets the `resource-adapter` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Property Detail

    - #### create

          PropertyType<AdministeredObjectType<T>> createProperty

      Creates a new `property` element

    - #### removeAll

          AdministeredObjectType<T> removeAllProperty

      Removes all `property` elements

  - ### Method Detail

    - #### description

          AdministeredObjectType<T> description(java.lang.String description)

      Sets the `description` element
      Parameters:
        `description` - the value for the element `description`
      Returns:
        the current instance of `AdministeredObjectType`

    - #### getDescription

          java.lang.String getDescription()

      Returns the `description` element
      Returns:
        the node defined for the element `description`

    - #### removeDescription

          AdministeredObjectType<T> removeDescription()

      Removes the `description` element
      Returns:
        the current instance of `AdministeredObjectType`

    - #### name

          AdministeredObjectType<T> name(java.lang.String name)

      Sets the `name` element
      Parameters:
        `name` - the value for the element `name`
      Returns:
        the current instance of `AdministeredObjectType`

    - #### getName

          java.lang.String getName()

      Returns the `name` element
      Returns:
        the node defined for the element `name`

    - #### removeName

          AdministeredObjectType<T> removeName()

      Removes the `name` element
      Returns:
        the current instance of `AdministeredObjectType`

    - #### interfaceName

          AdministeredObjectType<T> interfaceName(java.lang.String interfaceName)

      Sets the `interface-name` element
      Parameters:
        `interfaceName` - the value for the element `interface-name`
      Returns:
        the current instance of `AdministeredObjectType`

    - #### getInterfaceName

          java.lang.String getInterfaceName()

      Returns the `interface-name` element
      Returns:
        the node defined for the element `interface-name`

    - #### removeInterfaceName

          AdministeredObjectType<T> removeInterfaceName()

      Removes the `interface-name` element
      Returns:
        the current instance of `AdministeredObjectType`

    - #### className

          AdministeredObjectType<T> className(java.lang.String className)

      Sets the `class-name` element
      Parameters:
        `className` - the value for the element `class-name`
      Returns:
        the current instance of `AdministeredObjectType`

    - #### getClassName

          java.lang.String getClassName()

      Returns the `class-name` element
      Returns:
        the node defined for the element `class-name`

    - #### removeClassName

          AdministeredObjectType<T> removeClassName()

      Removes the `class-name` element
      Returns:
        the current instance of `AdministeredObjectType`

    - #### resourceAdapter

          AdministeredObjectType<T> resourceAdapter(java.lang.String resourceAdapter)

      Sets the `resource-adapter` element
      Parameters:
        `resourceAdapter` - the value for the element `resource-adapter`
      Returns:
        the current instance of `AdministeredObjectType`

    - #### getResourceAdapter

          java.lang.String getResourceAdapter()

      Returns the `resource-adapter` element
      Returns:
        the node defined for the element `resource-adapter`

    - #### removeResourceAdapter

          AdministeredObjectType<T> removeResourceAdapter()

      Removes the `resource-adapter` element
      Returns:
        the current instance of `AdministeredObjectType`

    - #### getOrCreateProperty

          PropertyType<AdministeredObjectType<T>> getOrCreateProperty()

      If not already created, a new `property` element will be created and returned. Otherwise, the first existing `property` element will be returned.
      Returns:
        the instance defined for the element `property`

    - #### createProperty

          PropertyType<AdministeredObjectType<T>> createProperty()

      Creates a new `property` element

    - #### getAllProperty

          java.util.List<PropertyType<AdministeredObjectType<T>>> getAllProperty()

      Returns all `property` elements
      Returns:
        list of `property`

    - #### removeAllProperty

          AdministeredObjectType<T> removeAllProperty()

      Removes all `property` elements

    - #### id

          AdministeredObjectType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `AdministeredObjectType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          AdministeredObjectType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `AdministeredObjectType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)